Package org.stianloader.picoresolve.internal.meta

# Class RemoteRepositoryProperties

java.lang.Object
org.stianloader.picoresolve.internal.meta.RemoteRepositoryProperties

public class RemoteRepositoryProperties extends Object

## Constructor Summary

Constructors
Constructor
Description
`RemoteRepositoryProperties()`
`RemoteRepositoryProperties(Path source)`
`RemoteRepositoryProperties(List<String> lines)`

## Method Summary

Modifier and Type
Method
Description
`Optional<String>`
`getSourceRepository(String file)`
`void`
`setSourceRepository(String file, String remote)`
`static RemoteRepositoryProperties`
`tryRead(Path path)`
`void`
`tryWrite(Path path)`
`void`
`write(Path path)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RemoteRepositoryProperties

public RemoteRepositoryProperties(Path source) throws IOException

Throws:
  `IOException`

### RemoteRepositoryProperties

public RemoteRepositoryProperties(List<String> lines)

### RemoteRepositoryProperties

public RemoteRepositoryProperties()

## Method Details

### setSourceRepository

public void setSourceRepository(String file, String remote)

### getSourceRepository

public Optional<String> getSourceRepository(String file)

### write

public void write(Path path) throws IOException

Throws:
  `IOException`

### tryWrite

public void tryWrite(Path path)

### tryRead

public static RemoteRepositoryProperties tryRead(Path path)